Copyright: Created with EasyHelp (Tel: 0973 209667)


Analog/Analog Input - RG354271

Description

This function block exists only in an L5201 Analog I/O Module which contains one for each of its five input channels.

The input is sampled every 3 ms, filtered and resampled at a rate specified in the Sample Rate configuration parameter (which may be configured to be from 3 to 780 milliseconds).

The function block sends its single Output once each sample period.

The function block may be enabled or disabled via the Status input; disabling an input frees up processing time for other tasks.

Parameters

Get Output	Returns the processed analog input value.  The value is returned as a percentage of the full-scale input.

Get Status	Returns the Status of the block, either Enabled or Disabled.

Set Status	Specifies the Status of the block, either Enable or Disable.


Description

This function block exists only in an L5201 Analog I/O Module which contains one for each of its five input channels.

The input is sampled every 3 ms, filtered and resampled at a rate specified in the Sample Rate configuration parameter (which may be configured to be from 3 to 780 milliseconds).

The function block sends its single Output once each sample period.

The function block may be enabled or disabled via the Status input; disabling an input frees up processing time for other tasks.


Parameters

Get Output	Returns the processed analog input value.  The value is returned as a percentage of the full-scale input.

Get Status	Returns the Status of the block, either Enabled or Disabled.

Set Status	Specifies the Status of the block, either Enable or Disable.